package com.mortals.xhx.module.device.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceMatterDatumVo;
/**
 * 设备事项申请材料业务实体对象
 *
 * @author zxfei
 * @date 2023-03-29
 */

public class DeviceMatterDatumEntity extends DeviceMatterDatumVo {
    private static final long serialVersionUID = 1L;

    /**
     * 站点ID
     */
    private Long siteId;
    /**
     * 设备id
     */
    private Long deviceId;
    /**
     * 设备编码
     */
    private String deviceCode;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 事项id
     */
    private Long matterId;
    /**
     * 事项编码
     */
    private String matterCode;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门编号
     */
    private String deptCode;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 事项来源(0.政务网，1.自定义)
     */
    private Integer source;
    /**
     * 是否推荐(0.未推荐，1.推荐)
     */
    private Integer isRecommend;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 事项全称
     */
    private String materiaFullName;



    public DeviceMatterDatumEntity(){}
    /**
     * 获取 站点ID
     * @return Long
     */
    public Long getSiteId(){
        return siteId;
    }
    /**
     * 设置 站点ID
     * @param siteId
     */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
     * 获取 设备id
     * @return Long
     */
    public Long getDeviceId(){
        return deviceId;
    }
    /**
     * 设置 设备id
     * @param deviceId
     */
    public void setDeviceId(Long deviceId){
        this.deviceId = deviceId;
    }
    /**
     * 获取 设备编码
     * @return String
     */
    public String getDeviceCode(){
        return deviceCode;
    }
    /**
     * 设置 设备编码
     * @param deviceCode
     */
    public void setDeviceCode(String deviceCode){
        this.deviceCode = deviceCode;
    }
    /**
     * 获取 设备名称
     * @return String
     */
    public String getDeviceName(){
        return deviceName;
    }
    /**
     * 设置 设备名称
     * @param deviceName
     */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
     * 获取 事项id
     * @return Long
     */
    public Long getMatterId(){
        return matterId;
    }
    /**
     * 设置 事项id
     * @param matterId
     */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
     * 获取 事项编码
     * @return String
     */
    public String getMatterCode(){
        return matterCode;
    }
    /**
     * 设置 事项编码
     * @param matterCode
     */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
     * 获取 事项名称
     * @return String
     */
    public String getMatterName(){
        return matterName;
    }
    /**
     * 设置 事项名称
     * @param matterName
     */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
     * 获取 部门ID
     * @return Long
     */
    public Long getDeptId(){
        return deptId;
    }
    /**
     * 设置 部门ID
     * @param deptId
     */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
     * 获取 部门编号
     * @return String
     */
    public String getDeptCode(){
        return deptCode;
    }
    /**
     * 设置 部门编号
     * @param deptCode
     */
    public void setDeptCode(String deptCode){
        this.deptCode = deptCode;
    }
    /**
     * 获取 部门名称
     * @return String
     */
    public String getDeptName(){
        return deptName;
    }
    /**
     * 设置 部门名称
     * @param deptName
     */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
     * 获取 事项来源(0.政务网，1.自定义)
     * @return Integer
     */
    public Integer getSource(){
        return source;
    }
    /**
     * 设置 事项来源(0.政务网，1.自定义)
     * @param source
     */
    public void setSource(Integer source){
        this.source = source;
    }
    /**
     * 获取 是否推荐(0.未推荐，1.推荐)
     * @return Integer
     */
    public Integer getIsRecommend(){
        return isRecommend;
    }
    /**
     * 设置 是否推荐(0.未推荐，1.推荐)
     * @param isRecommend
     */
    public void setIsRecommend(Integer isRecommend){
        this.isRecommend = isRecommend;
    }
    /**
     * 获取 排序
     * @return Integer
     */
    public Integer getSort(){
        return sort;
    }
    /**
     * 设置 排序
     * @param sort
     */
    public void setSort(Integer sort){
        this.sort = sort;
    }
    /**
     * 获取 事项全称
     * @return String
     */
    public String getMateriaFullName(){
        return materiaFullName;
    }
    /**
     * 设置 事项全称
     * @param materiaFullName
     */
    public void setMateriaFullName(String materiaFullName){
        this.materiaFullName = materiaFullName;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceMatterDatumEntity) {
            DeviceMatterDatumEntity tmp = (DeviceMatterDatumEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",deviceId:").append(getDeviceId());
        sb.append(",deviceCode:").append(getDeviceCode());
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptCode:").append(getDeptCode());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",source:").append(getSource());
        sb.append(",isRecommend:").append(getIsRecommend());
        sb.append(",sort:").append(getSort());
        sb.append(",materiaFullName:").append(getMateriaFullName());
        return sb.toString();
    }

    public void initAttrValue(){

        this.siteId = -1L;

        this.deviceId = null;

        this.deviceCode = "";

        this.deviceName = "";

        this.matterId = null;

        this.matterCode = "";

        this.matterName = "";

        this.deptId = null;

        this.deptCode = "";

        this.deptName = "";

        this.source = 0;

        this.isRecommend = 0;

        this.sort = 0;

        this.materiaFullName = "";
    }
}